%global gitrev  f50a1843e304929ec74c4dbafdcf18e32453a55f
Name:           osmctools
Version:        0.8
Release:        1%{?dist}
Summary:        Simple tools which are used in OpenStreetMapOpen
License:        AGPLv3
URL:            https://gitlab.com/osm-c-tools/osmctools
Source0:        https://gitlab.com/osm-c-tools/osmctools/repository/archive.tar.gz

BuildRequires:  zlib-devel
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake

%description
This project contains a few simple tools which are used in OpenStreetMap
project.
All programs of this project are written in C.

%prep
%setup -qn %{name}-master-%{gitrev}
autoreconf -vfi

%build
%{configure} 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%{_bindir}/osmconvert
%{_bindir}/osmupdate
%{_bindir}/osmfilter
%doc AUTHORS HACKING README.md
%license COPYING

%changelog
* Tue May 08 2018 Didier Fabert <didier.fabert@gmail.com> 0.8-1
- Update from upstream

* Sat Jun 17 2017 Didier Fabert <didier.fabert@gmail.com> 0.7-2
- Remove group

* Fri Jun 09 2017 Didier Fabert <didier.fabert@gmail.com> 0.7-1
- First Release
